package cn.novalon.manage.sys.core.domain;

import java.time.LocalDateTime;

/**
 * 异常日志领域对象
 * 
 * @author 张翔
 * @date 2026-03-13
 */
public class SysExceptionLog {

    private Long id;
    private String username;
    private String title;
    private String exceptionName;
    private String methodName;
    private String methodParams;
    private String exceptionMsg;
    private String exceptionStack;
    private String ip;
    private LocalDateTime createTime;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public String getUsername() { return username; }
    public void setUsername(String username) { this.username = username; }
    public String getTitle() { return title; }
    public void setTitle(String title) { this.title = title; }
    public String getExceptionName() { return exceptionName; }
    public void setExceptionName(String exceptionName) { this.exceptionName = exceptionName; }
    public String getMethodName() { return methodName; }
    public void setMethodName(String methodName) { this.methodName = methodName; }
    public String getMethodParams() { return methodParams; }
    public void setMethodParams(String methodParams) { this.methodParams = methodParams; }
    public String getExceptionMsg() { return exceptionMsg; }
    public void setExceptionMsg(String exceptionMsg) { this.exceptionMsg = exceptionMsg; }
    public String getExceptionStack() { return exceptionStack; }
    public void setExceptionStack(String exceptionStack) { this.exceptionStack = exceptionStack; }
    public String getIp() { return ip; }
    public void setIp(String ip) { this.ip = ip; }
    public LocalDateTime getCreateTime() { return createTime; }
    public void setCreateTime(LocalDateTime createTime) { this.createTime = createTime; }
}
